{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in {
  imports = [
    ./base/base.nix
    (mkIf (profiles.isDesktop) ./desktop/desktop.nix)
  ];
}
